Bug 1347817 - screen saver / screen blanker sluggish - takes 5 seconds or more to wake up
Summary: screen saver / screen blanker sluggish - takes 5 seconds or more to wake up
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 17:55 UTC by Steevithak
Modified: 2016-12-20 21:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:01:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Steevithak 2016-06-17 17:55:38 UTC
Description of problem:
On past versions of Fedora (or RHEL, CentOS, or any other distro I've used), if I came back to my system after the screen had blanked, I could hit any key and it would wake up instantly. But on Fedora 23, I have to bang on keys for literally five seconds or more before the screen blanker turns off and I can get back into the system. I have a modern, multi-core CPU and tons of RAM, so it's hard to believe there's any valid reason a program as simple as a screen saver is taking that long to respond to user input. I've checked that the computer/HD is not hibernating or suspended, it's just the screen going black due to inactivity.

Version-Release number of selected component (if applicable):
Fedora 23 (no idea what the component is that blanks the screen [I guessed gnome-screensaver above based on the name but could be wrong])


How reproducible:
Always

Steps to Reproduce:
1. Install F23
2. Log in to Gnome desktop
3. Stop using computer until screen blanks
4. Hit a key to turn off the screen blanker

Actual results:
Huge delay until screen comes back on

Expected results:
Screen should come back on instantly when requested

Additional info:

Comment 1 Yaakov Selkowitz 2016-06-17 20:30:07 UTC
GNOME no longer uses gnome-screensaver for screen-locking functionality; reassigning.

Comment 2 rene reitsma 2016-07-12 23:40:34 UTC
Same here, except worse. In my case the system won't wake up at all. Have to reboot :-(. T

Fixed temporarily fixed by setting the 'Blank Screen' value in 'Power Savings' preference to 'Never.' Would like to see this solved/fixed.

>uname -a
Linux mymachine 4.5.7-202.fc23.x86_64 #1 SMP Tue Jun 28 18:22:51 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

R

Comment 3 Fedora End Of Life 2016-11-25 09:19:30 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 21:01:28 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.